#ifndef _FORTE_SENSOR
#define _FORTE_SENSOR

#include "Message.hpp"
#include "Protocol.hpp"
#include "SensorInformation.hpp"
template <class T>
class ForteSensor {
  public:
	virtual T readData() = 0;
	virtual void setup() = 0;
	virtual std::list<Message> buildMessages() = 0;
	[[nodiscard]] virtual SensorInformation getSensorInformation() const = 0;
	virtual ~ForteSensor() = default;
};

#endif